TRX-TX(1)

NAME
trx-tx - real-time audio receiver over IP

SYNOPSIS
trx-tx [-d DEV] [-m MS] [-h ADDR] [-p PORT] [-j MS] [-r RATE] [-c N] [-v N] [-v FILE]

DESCRIPTION
trx-tx transmits real-time audio over IP from an ALSA audio device.

OPTIONS

-d DEV
    The alsa device name. Default is 'default'

-m MS
    Set the buffer time. Default is 16 milliseconds

-h ADDR
    Set the IP address to listen on. Default is ::

-p PORT
    Set the UDP port to listen on. Default is 1350

-r RATE
    Set the sample rate. Default is 48000Hz.

-c N
    Set the number of channels. Default is 2.

-f N
    Set the frame size. Default is 960 samples. The allowed frame sizes are defined by the Opus codec. For example at 48000Hz, the permitted values are 120, 240, 480 or 960.

-b N
    Set the approximate bitrate. Default is 128.

-v N
    Set the verbosity level. Higher N implies more verbosity. Default is 1.

-D FILE
    Run the receiver as a daemon, writing the process ID to FILE.

NOTES
The Debian package has renamed the upstream binary tx to trx-tx as it is less generic and less likely to collide with other packaged binaries.

EXAMPLE
To receive audio being sent to the local interface with the IP address 239.0.0.1 use the following:

    trx-tx -h 239.0.0.1